Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.plugins.quality
[Java] Interface FindBugsReports

    org.gradle.api.NamedDomainObjectCollection
      org.gradle.api.reporting.ReportContainer
          org.gradle.api.NamedDomainObjectSet
              org.gradle.util.Configurable
                  java.lang.Iterable
                      org.gradle.api.plugins.quality.FindBugsReports
                          org.gradle.api.DomainObjectCollection
                              java.util.Collection

All Superinterfaces:
  NamedDomainObjectCollection, ReportContainer, NamedDomainObjectSet, Configurable, Iterable, DomainObjectCollection, Collection

    public interface FindBugsReports
    extends ReportContainer

The reporting configuration for the the FindBugs task. Only one of the xml or html reports can be enabled when the task executes. If more than one is enabled, an InvalidUserDataException will be thrown.

Method Summary
`SingleFileReport` | `getHtml()` The findbugs html report
`SingleFileReport` | `getXml()` The findbugs xml report

Methods inherited from interface ReportContainer
getEnabled

Methods inherited from interface NamedDomainObjectSet
findAll, matching, matching, withType

Method Detail

### getHtml

    public SingleFileReport getHtml()

  The findbugs html report
  Returns:
    The findbugs html report

### getXml

    public SingleFileReport getXml()

  The findbugs xml report
  Returns:
    The findbugs xml report

Gradle API 1.1-rc-1